ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.105 by root, Tue Jun 26 00:40:18 2007 UTC vs.
Revision 1.110 by ayin, Thu Aug 2 00:29:23 2007 UTC

677INSTALL_SCRIPT 677INSTALL_SCRIPT
678INSTALL_DATA 678INSTALL_DATA
679GREP 679GREP
680EGREP 680EGREP
681LINKER 681LINKER
682CXXLIB
683INSTALL_LIBRXVT 682INSTALL_LIBRXVT
684RXVTNAME 683RXVTNAME
685TIC 684TIC
686XMKMF 685XMKMF
687CXXCPP 686CXXCPP
688X_CFLAGS 687X_CFLAGS
689X_PRE_LIBS 688X_PRE_LIBS
690X_LIBS 689X_LIBS
691X_EXTRA_LIBS 690X_EXTRA_LIBS
692afterimage_config 691afterimage_config
693XPM_CPPFLAGS
694XPM_CFLAGS
695XPM_LIBS
696rxvt_int16_typedef 692rxvt_int16_typedef
697rxvt_uint16_typedef 693rxvt_uint16_typedef
698rxvt_int32_typedef 694rxvt_int32_typedef
699rxvt_uint32_typedef 695rxvt_uint32_typedef
700rxvt_intp_define 696rxvt_intp_define
705PERLLIB 701PERLLIB
706PERLFLAGS 702PERLFLAGS
707PERLPRIVLIBEXP 703PERLPRIVLIBEXP
708IF_PERL 704IF_PERL
709PERL_O 705PERL_O
710LIBAFTERIMAGE_CFLAGS 706AFTERIMAGE_CFLAGS
711AFTERIMAGE_LIBS 707AFTERIMAGE_LIBS
712include_stdint_h 708include_stdint_h
713include_stdarg_h 709include_stdarg_h
714include_stdlib_h 710include_stdlib_h
715include_unistd_h 711include_unistd_h
1325 NOTE: automatically enabled with --enable-shared 1321 NOTE: automatically enabled with --enable-shared
1326 --enable-unicode3 use 21 instead of 16 bits to represent unicode characters 1322 --enable-unicode3 use 21 instead of 16 bits to represent unicode characters
1327 --enable-combining enable composition of base and combining characters 1323 --enable-combining enable composition of base and combining characters
1328 --enable-xft enable xft support on systems that have it 1324 --enable-xft enable xft support on systems that have it
1329 --enable-font-styles enable bold and italic support 1325 --enable-font-styles enable bold and italic support
1330 --enable-xpm-background enable background pixmaps
1331 --enable-afterimage enable integration with libAfterImage for background images 1326 --enable-afterimage enable integration with libAfterImage for background images
1332 --enable-afterstep enable integration with AfterStep window manager
1333 --enable-transparency enable transparent backgrounds 1327 --enable-transparency enable transparent backgrounds
1334 --enable-tinting enable tinting of transparent bg 1328 --enable-tinting enable tinting of transparent bg
1335 --enable-fading enable colors fading when off focus 1329 --enable-fading enable colors fading when off focus
1336 --enable-rxvt-scroll enable rxvt style scrollbar 1330 --enable-rxvt-scroll enable rxvt style scrollbar
1337 --enable-next-scroll enable NeXT style scrollbar 1331 --enable-next-scroll enable NeXT style scrollbar
1367 --with-res-class=CLASS use this as the resource class (default: URxvt) 1361 --with-res-class=CLASS use this as the resource class (default: URxvt)
1368 --with-name=NAME set the basename for the installed binaries (default: urxvt) 1362 --with-name=NAME set the basename for the installed binaries (default: urxvt)
1369 --with-term=NAME set the terminal to NAME (default: rxvt) 1363 --with-term=NAME set the terminal to NAME (default: rxvt)
1370 --with-terminfo=PATH set the path to the terminfo tree to PATH 1364 --with-terminfo=PATH set the path to the terminfo tree to PATH
1371 --with-x use the X Window System 1365 --with-x use the X Window System
1372 --with-xpm-includes=DIR use XPM includes in DIR
1373 --with-xpm-library=DIR use XPM library in DIR
1374 --with-xpm use XPM
1375 1366
1376Some influential environment variables: 1367Some influential environment variables:
1377 CC C compiler command 1368 CC C compiler command
1378 CFLAGS C compiler flags 1369 CFLAGS C compiler flags
1379 LDFLAGS linker flags, e.g. -L<lib dir> if you have libraries in a 1370 LDFLAGS linker flags, e.g. -L<lib dir> if you have libraries in a
3855 (exit $ac_status); } && { 3846 (exit $ac_status); } && {
3856 test -z "$ac_cxx_werror_flag" || 3847 test -z "$ac_cxx_werror_flag" ||
3857 test ! -s conftest.err 3848 test ! -s conftest.err
3858 } && test -s conftest$ac_exeext && 3849 } && test -s conftest$ac_exeext &&
3859 $as_test_x conftest$ac_exeext; then 3850 $as_test_x conftest$ac_exeext; then
3860
3861 { echo "$as_me:$LINENO: result: ok" >&5 3851 { echo "$as_me:$LINENO: result: ok" >&5
3862echo "${ECHO_T}ok" >&6; } 3852echo "${ECHO_T}ok" >&6; }
3863 CXXLIB="-lsupc++"
3864
3865else 3853else
3866 echo "$as_me: failed program was:" >&5 3854 echo "$as_me: failed program was:" >&5
3867sed 's/^/| /' conftest.$ac_ext >&5 3855sed 's/^/| /' conftest.$ac_ext >&5
3868 3856
3869 3857
3878rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \ 3866rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
3879 conftest$ac_exeext conftest.$ac_ext 3867 conftest$ac_exeext conftest.$ac_ext
3880 CXX="$save_CXX" 3868 CXX="$save_CXX"
3881fi 3869fi
3882LINKER=$LINKER 3870LINKER=$LINKER
3883
3884 3871
3885 3872
3886if test -z "$orig_CXXFLAGS"; then 3873if test -z "$orig_CXXFLAGS"; then
3887 if test x$GCC = xyes && test "x$GXX" = xyes; then 3874 if test x$GCC = xyes && test "x$GXX" = xyes; then
3888 CXXFLAGS="-g -O3 -fno-threadsafe-statics -fno-enforce-eh-specs" 3875 CXXFLAGS="-g -O3 -fno-threadsafe-statics -fno-enforce-eh-specs"
4419support_scroll_rxvt=yes 4406support_scroll_rxvt=yes
4420support_scroll_next=yes 4407support_scroll_next=yes
4421support_scroll_xterm=yes 4408support_scroll_xterm=yes
4422support_scroll_plain=yes 4409support_scroll_plain=yes
4423support_xim=yes 4410support_xim=yes
4424support_xpm=yes
4425support_afterimage=yes 4411support_afterimage=yes
4426support_afterstep=yes 4412support_afterstep=yes
4427support_xft=yes 4413support_xft=yes
4428support_unicode3=no 4414support_unicode3=no
4429support_combining=yes 4415support_combining=yes
4464 support_scroll_xterm=no 4450 support_scroll_xterm=no
4465 support_scroll_plain=no 4451 support_scroll_plain=no
4466 support_utmp=no 4452 support_utmp=no
4467 support_wtmp=no 4453 support_wtmp=no
4468 support_xim=no 4454 support_xim=no
4469 support_xpm=no
4470 support_afterimage=no 4455 support_afterimage=no
4471 support_afterstep=no 4456 support_afterstep=no
4472 support_xft=no 4457 support_xft=no
4473 support_unicode3=no 4458 support_unicode3=no
4474 support_combining=no 4459 support_combining=no
4495 support_scroll_xterm=yes 4480 support_scroll_xterm=yes
4496 support_scroll_plain=yes 4481 support_scroll_plain=yes
4497 support_utmp=yes 4482 support_utmp=yes
4498 support_wtmp=yes 4483 support_wtmp=yes
4499 support_xim=yes 4484 support_xim=yes
4500 support_xpm=yes
4501 support_afterimage=yes 4485 support_afterimage=yes
4502 support_afterstep=yes 4486 support_afterstep=yes
4503 support_xft=yes 4487 support_xft=yes
4504 support_unicode3=yes 4488 support_unicode3=yes
4505 support_combining=yes 4489 support_combining=yes
4543 support_styles=$enableval 4527 support_styles=$enableval
4544 fi 4528 fi
4545fi 4529fi
4546 4530
4547 4531
4548# Check whether --enable-xpm-background was given.
4549if test "${enable_xpm_background+set}" = set; then
4550 enableval=$enable_xpm_background; if test x$enableval = xyes -o x$enableval = xno; then
4551 support_xpm=$enableval
4552 fi
4553fi
4554
4555
4556# Check whether --enable-afterimage was given. 4532# Check whether --enable-afterimage was given.
4557if test "${enable_afterimage+set}" = set; then 4533if test "${enable_afterimage+set}" = set; then
4558 enableval=$enable_afterimage; if test x$enableval = xyes -o x$enableval = xno; then 4534 enableval=$enable_afterimage; if test x$enableval = xyes -o x$enableval = xno; then
4559 support_afterimage=$enableval 4535 support_afterimage=$enableval
4560 fi 4536 fi
4567 withval=$with_afterimage_config; if test "x$withval" != x; then 4543 withval=$with_afterimage_config; if test "x$withval" != x; then
4568 afterimage_config=$withval/afterimage-config 4544 afterimage_config=$withval/afterimage-config
4569 fi 4545 fi
4570fi 4546fi
4571 4547
4572
4573# Check whether --enable-afterstep was given.
4574if test "${enable_afterstep+set}" = set; then
4575 enableval=$enable_afterstep; if test x$enableval = xyes -o x$enableval = xno; then
4576 support_afterstep=$enableval
4577 fi
4578fi
4579 4548
4580 4549
4581# Check whether --enable-transparency was given. 4550# Check whether --enable-transparency was given.
4582if test "${enable_transparency+set}" = set; then 4551if test "${enable_transparency+set}" = set; then
4583 enableval=$enable_transparency; if test x$enableval = xyes -o x$enableval = xno; then 4552 enableval=$enable_transparency; if test x$enableval = xyes -o x$enableval = xno; then
6460 LDFLAGS=$ac_save_LDFLAGS 6429 LDFLAGS=$ac_save_LDFLAGS
6461 6430
6462fi 6431fi
6463 6432
6464 6433
6465
6466LIBAFTERIMAGE_CFLAGS= 6434AFTERIMAGE_CFLAGS=
6467AFTERIMAGE_LIBS= 6435AFTERIMAGE_LIBS=
6468have_afterimage= 6436AFTERIMAGE_VERSION=
6469 6437
6470if test x$support_afterimage = xyes; then 6438if test x$support_afterimage = xyes; then
6471 support_afterimage=no 6439 support_afterimage=no
6472 6440
6473 if test "x$afterimage_config" = "x" ; then 6441 if test "x$afterimage_config" = "x" ; then
6511echo "${ECHO_T}no" >&6; } 6479echo "${ECHO_T}no" >&6; }
6512fi 6480fi
6513 6481
6514 6482
6515 fi 6483 fi
6516 6484 if test "x$afterimage_config" != "xno" ; then
6517 { echo "$as_me:$LINENO: checking for libAfterImage" >&5 6485 { echo "$as_me:$LINENO: checking for libAfterImage version >= 1.15" >&5
6518echo $ECHO_N "checking for libAfterImage... $ECHO_C" >&6; } 6486echo $ECHO_N "checking for libAfterImage version >= 1.15... $ECHO_C" >&6; }
6519 if $afterimage_config --version >/dev/null 2>&1 ; then 6487 xAFTERIMAGE_VERSION=`$afterimage_config --version`
6488 if test -n "$xAFTERIMAGE_VERSION" ; then
6520 LIBAFTERIMAGE_CFLAGS=`$afterimage_config --cflags` 6489 xAFTERIMAGE_CFLAGS=`$afterimage_config --cflags`
6521 AFTERIMAGE_LIBS=`$afterimage_config --libs` 6490 xAFTERIMAGE_LIBS=`$afterimage_config --libs`
6522 if test "x$AFTERIMAGE_LIBS" != "x"; then 6491 if test "x$xAFTERIMAGE_LIBS" != "x"; then
6492 libai_ver_major=`echo $xAFTERIMAGE_VERSION | cut -f 1 -d .`
6493 libai_ver_minor=`echo $xAFTERIMAGE_VERSION | cut -f 2 -d .`
6494 if test $libai_ver_major -gt 1 -o \( $libai_ver_major -eq 1 -a $libai_ver_minor -ge 15 \); then
6523 support_afterimage=yes 6495 support_afterimage=yes
6524 fi 6496 AFTERIMAGE_CFLAGS="$xAFTERIMAGE_CFLAGS"
6525 fi 6497 AFTERIMAGE_LIBS="$xAFTERIMAGE_LIBS"
6526 6498 AFTERIMAGE_VERSION="$xAFTERIMAGE_VERSION"
6527 if test "x$support_afterimage" = "xyes"; then
6528 { echo "$as_me:$LINENO: result: $AFTERIMAGE_LIBS" >&5
6529echo "${ECHO_T}$AFTERIMAGE_LIBS" >&6; }
6530 else
6531 { echo "$as_me:$LINENO: result: no" >&5
6532echo "${ECHO_T}no" >&6; }
6533 fi
6534fi
6535
6536if test x$support_afterimage != xyes -a x$support_xpm = xyes ; then
6537
6538
6539
6540# Initialize some more variables set by options.
6541# The variables have the same names as the options, with
6542# dashes changed to underlines.
6543
6544# If we find XPM, set shell vars xpm_includes and xpm_libraries to the
6545# paths, otherwise set no_xpm=yes.
6546# Uses ac_ vars as temps to allow command line to override cache and checks.
6547{ echo "$as_me:$LINENO: checking for libXpm" >&5
6548echo $ECHO_N "checking for libXpm... $ECHO_C" >&6; }
6549
6550
6551# Check whether --with-xpm_includes was given.
6552if test "${with_xpm_includes+set}" = set; then
6553 withval=$with_xpm_includes; xpm_includes="$withval"
6554else
6555 xpm_includes=NO
6556fi
6557
6558
6559# Check whether --with-xpm_library was given.
6560if test "${with_xpm_library+set}" = set; then
6561 withval=$with_xpm_library; xpm_libraries="$withval"
6562else
6563 xpm_libraries=NO
6564fi
6565
6566
6567# --without-xpm overrides everything else, but does not touch the cache.
6568
6569# Check whether --with-xpm was given.
6570if test "${with_xpm+set}" = set; then
6571 withval=$with_xpm;
6572fi
6573
6574if test "$with_xpm" = no; then
6575 have_xpm=disabled
6576else
6577 if test "${ac_cv_have_xpm+set}" = set; then
6578 echo $ECHO_N "(cached) $ECHO_C" >&6
6579else
6580
6581 vt_xpm_include_X11=no
6582 if test -n "$xpm_includes"; then
6583 vt_xpm_includes=$xpm_includes
6584 else
6585 vt_xpm_includes=NO
6586 fi
6587 if test -n "$xpm_libraries"; then
6588 vt_xpm_libraries=$xpm_libraries
6589 else
6590 vt_xpm_libraries=NO
6591 fi
6592
6593 if test "$vt_xpm_includes" = NO; then
6594 # Guess where to find xpm.h
6595
6596ac_save_CPPFLAGS="$CPPFLAGS"
6597CPPFLAGS="$CPPFLAGS $X_CFLAGS"
6598
6599 # First, try using that file with no special directory specified.
6600cat >conftest.$ac_ext <<_ACEOF
6601/* confdefs.h. */
6602_ACEOF
6603cat confdefs.h >>conftest.$ac_ext
6604cat >>conftest.$ac_ext <<_ACEOF
6605/* end confdefs.h. */
6606#include <X11/xpm.h>
6607_ACEOF
6608if { (ac_try="$ac_cpp conftest.$ac_ext"
6609case "(($ac_try" in
6610 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
6611 *) ac_try_echo=$ac_try;;
6612esac
6613eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
6614 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
6615 ac_status=$?
6616 grep -v '^ *+' conftest.er1 >conftest.err
6617 rm -f conftest.er1
6618 cat conftest.err >&5
6619 echo "$as_me:$LINENO: \$? = $ac_status" >&5
6620 (exit $ac_status); } >/dev/null && {
6621 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
6622 test ! -s conftest.err
6623 }; then
6624 # We can compile using X headers with no special include directory.
6625vt_xpm_includes=
6626vt_xpm_include_X11=yes
6627else
6628 echo "$as_me: failed program was:" >&5
6629sed 's/^/| /' conftest.$ac_ext >&5
6630
6631 CPPFLAGS="$ac_save_CPPFLAGS"
6632# Look for the header file in a standard set of common directories.
6633 for ac_dir in \
6634 /usr/X11/include \
6635 /usr/X11R6/include \
6636 /usr/X11R5/include \
6637 /usr/X11R4/include \
6638 \
6639 /usr/include/X11 \
6640 /usr/include/X11R6 \
6641 /usr/include/X11R5 \
6642 /usr/include/X11R4 \
6643 \
6644 /usr/local/X11/include \
6645 /usr/local/X11R6/include \
6646 /usr/local/X11R5/include \
6647 /usr/local/X11R4/include \
6648 \
6649 /usr/local/include/X11 \
6650 /usr/local/include/X11R6 \
6651 /usr/local/include/X11R5 \
6652 /usr/local/include/X11R4 \
6653 \
6654 /usr/X386/include \
6655 /usr/x386/include \
6656 /usr/XFree86/include/X11 \
6657 \
6658 /usr/include \
6659 /usr/local/include \
6660 /usr/unsupported/include \
6661 /usr/athena/include \
6662 /usr/local/x11r5/include \
6663 /usr/lpp/Xamples/include \
6664 \
6665 /usr/openwin/include \
6666 /usr/openwin/share/include \
6667 ; \
6668 do
6669 if test -r "$ac_dir/X11/xpm.h"; then
6670 vt_xpm_includes="$ac_dir"
6671 vt_xpm_include_X11=yes
6672 break
6673 else
6674 if test -r "$ac_dir/xpm.h"; then
6675 vt_xpm_includes=$ac_dir
6676 break
6677 fi
6678 fi
6679 done
6680fi
6681
6682rm -f conftest.err conftest.$ac_ext
6683fi
6684
6685if test "$vt_xpm_libraries" = NO; then
6686 # Check for the libraries.
6687
6688 # See if we find them without any special options.
6689 # Don't add to $LIBS permanently.
6690 ac_save_LIBS="$LIBS"
6691 LIBS="$LIBS $X_LIBS -lXpm -lX11"
6692cat >conftest.$ac_ext <<_ACEOF
6693/* confdefs.h. */
6694_ACEOF
6695cat confdefs.h >>conftest.$ac_ext
6696cat >>conftest.$ac_ext <<_ACEOF
6697/* end confdefs.h. */
6698
6699int
6700main ()
6701{
6702XpmReadFileToPixmap()
6703 ;
6704 return 0;
6705}
6706_ACEOF
6707rm -f conftest.$ac_objext conftest$ac_exeext
6708if { (ac_try="$ac_link"
6709case "(($ac_try" in
6710 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
6711 *) ac_try_echo=$ac_try;;
6712esac
6713eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
6714 (eval "$ac_link") 2>conftest.er1
6715 ac_status=$?
6716 grep -v '^ *+' conftest.er1 >conftest.err
6717 rm -f conftest.er1
6718 cat conftest.err >&5
6719 echo "$as_me:$LINENO: \$? = $ac_status" >&5
6720 (exit $ac_status); } && {
6721 test -z "$ac_cxx_werror_flag" ||
6722 test ! -s conftest.err
6723 } && test -s conftest$ac_exeext &&
6724 $as_test_x conftest$ac_exeext; then
6725 LIBS="$ac_save_LIBS"
6726# We can link libXpm with no special library path.
6727vt_xpm_libraries=
6728else
6729 echo "$as_me: failed program was:" >&5
6730sed 's/^/| /' conftest.$ac_ext >&5
6731
6732 LIBS="$ac_save_LIBS"
6733# First see if replacing the include by lib works.
6734for ac_dir in \
6735 `echo "$vt_xpm_includes" | sed 's,include/X11,lib,;s,include,lib,'` \
6736 /usr/X11/lib \
6737 /usr/X11R6/lib \
6738 /usr/X11R5/lib \
6739 /usr/X11R4/lib \
6740 \
6741 /usr/lib/X11 \
6742 /usr/lib/X11R6 \
6743 /usr/lib/X11R5 \
6744 /usr/lib/X11R4 \
6745 \
6746 /usr/local/X11/lib \
6747 /usr/local/X11R6/lib \
6748 /usr/local/X11R5/lib \
6749 /usr/local/X11R4/lib \
6750 \
6751 /usr/local/lib/X11 \
6752 /usr/local/lib/X11R6 \
6753 /usr/local/lib/X11R5 \
6754 /usr/local/lib/X11R4 \
6755 \
6756 /usr/X386/lib \
6757 /usr/x386/lib \
6758 /usr/XFree86/lib/X11 \
6759 \
6760 /usr/lib \
6761 /usr/local/lib \
6762 /usr/unsupported/lib \
6763 /usr/athena/lib \
6764 /usr/local/x11r5/lib \
6765 /usr/lpp/Xamples/lib \
6766 \
6767 /usr/openwin/lib \
6768 /usr/openwin/share/lib \
6769 ; \
6770do
6771 for ac_extension in a so sl; do
6772 if test -r $ac_dir/libXpm.$ac_extension; then
6773 vt_xpm_libraries=$ac_dir
6774 break 2
6775 fi
6776 done
6777done
6778fi
6779
6780rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
6781 conftest$ac_exeext conftest.$ac_ext
6782fi
6783
6784
6785 if test "$vt_xpm_includes" = NO -o "$vt_xpm_libraries" = NO; then
6786 ac_cv_have_xpm="have_xpm=no"
6787 else
6788 ac_cv_have_xpm="have_xpm=yes \
6789 vt_xpm_includes=$vt_xpm_includes vt_xpm_libraries=$vt_xpm_libraries \
6790 vt_xpm_include_X11=$vt_xpm_include_X11"
6791 fi
6792fi
6793 eval "$ac_cv_have_xpm"
6794fi
6795
6796if test "$have_xpm" != yes; then
6797 { echo "$as_me:$LINENO: result: $have_xpm" >&5
6798echo "${ECHO_T}$have_xpm" >&6; }
6799 no_xpm=yes
6800else
6801 if test "$xpm_includes" != NO; then
6802 if test "$xpm_includes" = "$vt_xpm_includes"; then
6803 if test -r "$xpm_includes/X11/xpm.h"; then
6804 vt_xpm_include_X11=yes
6805 fi
6806 else
6807 vt_xpm_include_X11=no
6808 if test -z "$xpm_includes"; then
6809 cat >conftest.$ac_ext <<_ACEOF
6810/* confdefs.h. */
6811_ACEOF
6812cat confdefs.h >>conftest.$ac_ext
6813cat >>conftest.$ac_ext <<_ACEOF
6814/* end confdefs.h. */
6815#include <X11/xpm.h>
6816_ACEOF
6817if { (ac_try="$ac_cpp conftest.$ac_ext"
6818case "(($ac_try" in
6819 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
6820 *) ac_try_echo=$ac_try;;
6821esac
6822eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
6823 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
6824 ac_status=$?
6825 grep -v '^ *+' conftest.er1 >conftest.err
6826 rm -f conftest.er1
6827 cat conftest.err >&5
6828 echo "$as_me:$LINENO: \$? = $ac_status" >&5
6829 (exit $ac_status); } >/dev/null && {
6830 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
6831 test ! -s conftest.err
6832 }; then
6833 vt_xpm_include_X11=yes
6834else
6835 echo "$as_me: failed program was:" >&5
6836sed 's/^/| /' conftest.$ac_ext >&5
6837
6838
6839fi
6840
6841rm -f conftest.err conftest.$ac_ext
6842 else
6843 if test -r "$xpm_includes/X11/xpm.h"; then
6844 vt_xpm_include_X11=yes
6845 fi 6499 fi
6846 fi 6500 fi
6847 fi 6501 fi
6848 vt_xpm_includes=$xpm_includes 6502 if test "x$support_afterimage" = "xyes"; then
6503 { echo "$as_me:$LINENO: result: $AFTERIMAGE_LIBS" >&5
6504echo "${ECHO_T}$AFTERIMAGE_LIBS" >&6; }
6505 else
6506 { echo "$as_me:$LINENO: result: no" >&5
6507echo "${ECHO_T}no" >&6; }
6849 fi 6508 fi
6850 if test "x$xpm_libraries" != xNO; then
6851 vt_xpm_libraries=$xpm_libraries
6852 fi
6853 # Update the cache value to reflect the command line values.
6854 ac_cv_have_xpm="have_xpm=yes \
6855 vt_xpm_includes=$vt_xpm_includes vt_xpm_libraries=$vt_xpm_libraries \
6856 vt_xpm_include_X11=$vt_xpm_include_X11"
6857 eval "$ac_cv_have_xpm"
6858 { echo "$as_me:$LINENO: result: -I$vt_xpm_includes, -L$vt_xpm_libraries" >&5
6859echo "${ECHO_T}-I$vt_xpm_includes, -L$vt_xpm_libraries" >&6; }
6860 if test -n "$vt_xpm_includes"; then
6861 XPM_CPPFLAGS="-DHAVE_LIBXPM"
6862 fi
6863 if test -n "$vt_xpm_includes"; then
6864 XPM_CFLAGS="-I$vt_xpm_includes"
6865 fi
6866 XPM_LIBS="-lXpm"
6867 if test -n "$vt_xpm_libraries"; then
6868 XPM_LIBS="-L$vt_xpm_libraries $XPM_LIBS"
6869 fi
6870 if test "x$vt_xpm_include_X11" = xyes; then
6871
6872cat >>confdefs.h <<\_ACEOF
6873#define XPM_INC_X11 1
6874_ACEOF
6875
6876 fi
6877fi
6878
6879
6880
6881
6882
6883 if test x$no_xpm = xyes; then
6884 support_xpm=needsmanualspecification
6885 fi 6509 fi
6886fi 6510fi
6887 6511
6888{ echo "$as_me:$LINENO: checking for sys/wait.h that is POSIX.1 compatible" >&5 6512{ echo "$as_me:$LINENO: checking for sys/wait.h that is POSIX.1 compatible" >&5
6889echo $ECHO_N "checking for sys/wait.h that is POSIX.1 compatible... $ECHO_C" >&6; } 6513echo $ECHO_N "checking for sys/wait.h that is POSIX.1 compatible... $ECHO_C" >&6; }
7484rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 7108rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7485fi 7109fi
7486{ echo "$as_me:$LINENO: result: $rxvt_cv_header_sysioctl" >&5 7110{ echo "$as_me:$LINENO: result: $rxvt_cv_header_sysioctl" >&5
7487echo "${ECHO_T}$rxvt_cv_header_sysioctl" >&6; } 7111echo "${ECHO_T}$rxvt_cv_header_sysioctl" >&6; }
7488 7112
7489if test -n "$GCC"; then
7490 LDARG="-Wl,"
7491else
7492 LDARG=""
7493fi
7494R_TRANSLATE='s/-L\([^ ]*\)/-L\1 '$LDARG'-rpath '$LDARG'\1/g'
7495
7496ac_save_CFLAGS=$CFLAGS
7497ac_save_LIBS=$LIBS
7498CFLAGS="$CFLAGS $X_CFLAGS"
7499LIBS=`echo "$LIBS $X_LIBS $X_EXTRA_LIBS -lX11" | sed "$R_TRANSLATE"`
7500{ echo "$as_me:$LINENO: checking for -rpath dynamic library path recording" >&5
7501echo $ECHO_N "checking for -rpath dynamic library path recording... $ECHO_C" >&6; }
7502if test "${rxvt_cv_rpath+set}" = set; then
7503 echo $ECHO_N "(cached) $ECHO_C" >&6
7504else
7505 if test "$cross_compiling" = yes; then
7506 { echo "$as_me:$LINENO: WARNING: You may need to check the LIBS line" >&5
7507echo "$as_me: WARNING: You may need to check the LIBS line" >&2;}
7508else
7509 cat >conftest.$ac_ext <<_ACEOF
7510/* confdefs.h. */
7511_ACEOF
7512cat confdefs.h >>conftest.$ac_ext
7513cat >>conftest.$ac_ext <<_ACEOF
7514/* end confdefs.h. */
7515#include <X11/Xlib.h>
7516#include <stdlib.h>
7517main()
7518{
7519 exit(0);
7520 (void) XOpenDisplay("foobar");
7521}
7522_ACEOF
7523rm -f conftest$ac_exeext
7524if { (ac_try="$ac_link"
7525case "(($ac_try" in
7526 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7527 *) ac_try_echo=$ac_try;;
7528esac
7529eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7530 (eval "$ac_link") 2>&5
7531 ac_status=$?
7532 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7533 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
7534 { (case "(($ac_try" in
7535 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7536 *) ac_try_echo=$ac_try;;
7537esac
7538eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7539 (eval "$ac_try") 2>&5
7540 ac_status=$?
7541 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7542 (exit $ac_status); }; }; then
7543 rxvt_cv_rpath=yes
7544else
7545 echo "$as_me: program exited with status $ac_status" >&5
7546echo "$as_me: failed program was:" >&5
7547sed 's/^/| /' conftest.$ac_ext >&5
7548
7549( exit $ac_status )
7550rxvt_cv_rpath=no
7551fi
7552rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
7553fi
7554
7555
7556fi
7557{ echo "$as_me:$LINENO: result: $rxvt_cv_rpath" >&5
7558echo "${ECHO_T}$rxvt_cv_rpath" >&6; }
7559if test x$rxvt_cv_rpath != xyes; then
7560 R_TRANSLATE='s/-L\([^ ]*\)/-L\1 '$LDARG'-R\1/g'
7561 LIBS=`echo "$ac_save_LIBS $X_LIBS $X_EXTRA_LIBS -lX11" | sed "$R_TRANSLATE"`
7562 { echo "$as_me:$LINENO: checking for -R dynamic library path recording" >&5
7563echo $ECHO_N "checking for -R dynamic library path recording... $ECHO_C" >&6; }
7564if test "${rxvt_cv_R+set}" = set; then
7565 echo $ECHO_N "(cached) $ECHO_C" >&6
7566else
7567 if test "$cross_compiling" = yes; then
7568 rxvt_cv_R=no
7569else
7570 cat >conftest.$ac_ext <<_ACEOF
7571/* confdefs.h. */
7572_ACEOF
7573cat confdefs.h >>conftest.$ac_ext
7574cat >>conftest.$ac_ext <<_ACEOF
7575/* end confdefs.h. */
7576#include <X11/Xlib.h>
7577#include <stdlib.h>
7578main()
7579{
7580 exit(0);
7581 (void) XOpenDisplay("foobar");
7582}
7583_ACEOF
7584rm -f conftest$ac_exeext
7585if { (ac_try="$ac_link"
7586case "(($ac_try" in
7587 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7588 *) ac_try_echo=$ac_try;;
7589esac
7590eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7591 (eval "$ac_link") 2>&5
7592 ac_status=$?
7593 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7594 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
7595 { (case "(($ac_try" in
7596 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7597 *) ac_try_echo=$ac_try;;
7598esac
7599eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7600 (eval "$ac_try") 2>&5
7601 ac_status=$?
7602 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7603 (exit $ac_status); }; }; then
7604 rxvt_cv_R=yes
7605else
7606 echo "$as_me: program exited with status $ac_status" >&5
7607echo "$as_me: failed program was:" >&5
7608sed 's/^/| /' conftest.$ac_ext >&5
7609
7610( exit $ac_status )
7611rxvt_cv_R=no
7612fi
7613rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
7614fi
7615
7616
7617fi
7618{ echo "$as_me:$LINENO: result: $rxvt_cv_R" >&5
7619echo "${ECHO_T}$rxvt_cv_R" >&6; }
7620 if test x$rxvt_cv_R != xyes; then
7621 LIBS="$ac_save_LIBS $X_LIBS $X_EXTRA_LIBS -lX11"
7622 fi
7623fi
7624
7625{ echo "$as_me:$LINENO: checking for XPointer" >&5 7113{ echo "$as_me:$LINENO: checking for XPointer" >&5
7626echo $ECHO_N "checking for XPointer... $ECHO_C" >&6; } 7114echo $ECHO_N "checking for XPointer... $ECHO_C" >&6; }
7627if test "${rxvt_cv_xpointer+set}" = set; then 7115if test "${rxvt_cv_xpointer+set}" = set; then
7628 echo $ECHO_N "(cached) $ECHO_C" >&6 7116 echo $ECHO_N "(cached) $ECHO_C" >&6
7629else 7117else
7676cat >>confdefs.h <<\_ACEOF 7164cat >>confdefs.h <<\_ACEOF
7677#define HAVE_XPOINTER 1 7165#define HAVE_XPOINTER 1
7678_ACEOF 7166_ACEOF
7679 7167
7680fi 7168fi
7681LIBS=$ac_save_LIBS
7682CFLAGS=$ac_save_CFLAGS
7683 7169
7684{ echo "$as_me:$LINENO: checking for XLIB_ILLEGAL_ACCESS" >&5 7170{ echo "$as_me:$LINENO: checking for XLIB_ILLEGAL_ACCESS" >&5
7685echo $ECHO_N "checking for XLIB_ILLEGAL_ACCESS... $ECHO_C" >&6; } 7171echo $ECHO_N "checking for XLIB_ILLEGAL_ACCESS... $ECHO_C" >&6; }
7686if test "${rxvt_xlib_illegal_access+set}" = set; then 7172if test "${rxvt_xlib_illegal_access+set}" = set; then
7687 echo $ECHO_N "(cached) $ECHO_C" >&6 7173 echo $ECHO_N "(cached) $ECHO_C" >&6
11817 11303
11818ac_save_LIBS=$LIBS 11304ac_save_LIBS=$LIBS
11819ac_save_CFLAGS=$CFLAGS 11305ac_save_CFLAGS=$CFLAGS
11820CFLAGS="$CFLAGS $X_CFLAGS" 11306CFLAGS="$CFLAGS $X_CFLAGS"
11821LIBS="$LIBS $X_LIBS $X_EXTRA_LIBS -lX11" 11307LIBS="$LIBS $X_LIBS $X_EXTRA_LIBS -lX11"
11822if test x$rxvt_cv_rpath = xyes -o x$rxvt_cv_R = xyes; then
11823 LIBS=`echo $LIBS | sed "$R_TRANSLATE"`
11824fi
11825{ echo "$as_me:$LINENO: checking for working Xlocale" >&5 11308{ echo "$as_me:$LINENO: checking for working Xlocale" >&5
11826echo $ECHO_N "checking for working Xlocale... $ECHO_C" >&6; } 11309echo $ECHO_N "checking for working Xlocale... $ECHO_C" >&6; }
11827if test "${rxvt_cv_func_xlocale+set}" = set; then 11310if test "${rxvt_cv_func_xlocale+set}" = set; then
11828 echo $ECHO_N "(cached) $ECHO_C" >&6 11311 echo $ECHO_N "(cached) $ECHO_C" >&6
11829else 11312else
13237cat >>confdefs.h <<\_ACEOF 12720cat >>confdefs.h <<\_ACEOF
13238#define SELECTION_SCROLLING 1 12721#define SELECTION_SCROLLING 1
13239_ACEOF 12722_ACEOF
13240 12723
13241fi 12724fi
13242if test x$support_frills = xyes; then
13243
13244cat >>confdefs.h <<\_ACEOF
13245#define ENABLE_FRILLS 1
13246_ACEOF
13247
13248fi
13249if test x$support_mousewheel = xyes; then 12725if test x$support_mousewheel = xyes; then
13250 12726
13251cat >>confdefs.h <<\_ACEOF 12727cat >>confdefs.h <<\_ACEOF
13252#define MOUSE_WHEEL 1 12728#define MOUSE_WHEEL 1
13253_ACEOF 12729_ACEOF
13258cat >>confdefs.h <<\_ACEOF 12734cat >>confdefs.h <<\_ACEOF
13259#define MOUSE_SLIP_WHEELING 1 12735#define MOUSE_SLIP_WHEELING 1
13260_ACEOF 12736_ACEOF
13261 12737
13262fi 12738fi
13263if test x$support_xpm = xyes -o x$support_afterimage = xyes ; then 12739if test x$support_afterimage = xyes; then
12740
12741cat >>confdefs.h <<\_ACEOF
12742#define HAVE_AFTERIMAGE 1
12743_ACEOF
12744
13264 12745
13265cat >>confdefs.h <<\_ACEOF 12746cat >>confdefs.h <<\_ACEOF
13266#define XPM_BACKGROUND 1 12747#define XPM_BACKGROUND 1
13267_ACEOF 12748_ACEOF
13268 12749
13269fi 12750fi
13270 12751
13271if test x$support_afterimage = xyes; then
13272
13273cat >>confdefs.h <<\_ACEOF
13274#define HAVE_AFTERIMAGE 1
13275_ACEOF
13276
13277fi
13278
13279if test x$support_afterstep = xyes; then
13280
13281cat >>confdefs.h <<\_ACEOF
13282#define AFTERSTEP_INTEGRATION 1
13283_ACEOF
13284
13285fi
13286 12752
13287if test x$support_scroll_rxvt = xyes; then 12753if test x$support_scroll_rxvt = xyes; then
13288 12754
13289cat >>confdefs.h <<\_ACEOF 12755cat >>confdefs.h <<\_ACEOF
13290#define RXVT_SCROLLBAR 1 12756#define RXVT_SCROLLBAR 1
13563 13029
13564if test x$support_perl = xyes; then 13030if test x$support_perl = xyes; then
13565 support_frills=yes 13031 support_frills=yes
13566fi 13032fi
13567 13033
13034if test x$support_frills = xyes; then
13568 13035
13036cat >>confdefs.h <<\_ACEOF
13037#define ENABLE_FRILLS 1
13038_ACEOF
13569 13039
13570
13571
13572
13573if test x$rxvt_cv_rpath = xyes -o x$rxvt_cv_R = xyes; then
13574 LIBS=`echo $LIBS | sed "$R_TRANSLATE"`
13575 X_LIBS=`echo $X_LIBS | sed "$R_TRANSLATE"`
13576 X_EXTRA_LIBS=`echo $X_EXTRA_LIBS | sed "$R_TRANSLATE"`
13577 XPM_LIBS=`echo $XPM_LIBS | sed "$R_TRANSLATE"`
13578fi 13040fi
13041
13042
13043
13044
13045
13046
13579 13047
13580 13048
13581 13049
13582 13050
13583 13051
14351INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim 13819INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim
14352INSTALL_DATA!$INSTALL_DATA$ac_delim 13820INSTALL_DATA!$INSTALL_DATA$ac_delim
14353GREP!$GREP$ac_delim 13821GREP!$GREP$ac_delim
14354EGREP!$EGREP$ac_delim 13822EGREP!$EGREP$ac_delim
14355LINKER!$LINKER$ac_delim 13823LINKER!$LINKER$ac_delim
14356CXXLIB!$CXXLIB$ac_delim
14357INSTALL_LIBRXVT!$INSTALL_LIBRXVT$ac_delim 13824INSTALL_LIBRXVT!$INSTALL_LIBRXVT$ac_delim
14358RXVTNAME!$RXVTNAME$ac_delim 13825RXVTNAME!$RXVTNAME$ac_delim
14359TIC!$TIC$ac_delim 13826TIC!$TIC$ac_delim
14360XMKMF!$XMKMF$ac_delim 13827XMKMF!$XMKMF$ac_delim
14361CXXCPP!$CXXCPP$ac_delim 13828CXXCPP!$CXXCPP$ac_delim
14362X_CFLAGS!$X_CFLAGS$ac_delim 13829X_CFLAGS!$X_CFLAGS$ac_delim
14363X_PRE_LIBS!$X_PRE_LIBS$ac_delim 13830X_PRE_LIBS!$X_PRE_LIBS$ac_delim
14364X_LIBS!$X_LIBS$ac_delim 13831X_LIBS!$X_LIBS$ac_delim
14365X_EXTRA_LIBS!$X_EXTRA_LIBS$ac_delim 13832X_EXTRA_LIBS!$X_EXTRA_LIBS$ac_delim
14366afterimage_config!$afterimage_config$ac_delim 13833afterimage_config!$afterimage_config$ac_delim
14367XPM_CPPFLAGS!$XPM_CPPFLAGS$ac_delim
14368XPM_CFLAGS!$XPM_CFLAGS$ac_delim
14369XPM_LIBS!$XPM_LIBS$ac_delim
14370rxvt_int16_typedef!$rxvt_int16_typedef$ac_delim 13834rxvt_int16_typedef!$rxvt_int16_typedef$ac_delim
14371rxvt_uint16_typedef!$rxvt_uint16_typedef$ac_delim 13835rxvt_uint16_typedef!$rxvt_uint16_typedef$ac_delim
14372rxvt_int32_typedef!$rxvt_int32_typedef$ac_delim 13836rxvt_int32_typedef!$rxvt_int32_typedef$ac_delim
14373rxvt_uint32_typedef!$rxvt_uint32_typedef$ac_delim 13837rxvt_uint32_typedef!$rxvt_uint32_typedef$ac_delim
14374rxvt_intp_define!$rxvt_intp_define$ac_delim 13838rxvt_intp_define!$rxvt_intp_define$ac_delim
14379PERLLIB!$PERLLIB$ac_delim 13843PERLLIB!$PERLLIB$ac_delim
14380PERLFLAGS!$PERLFLAGS$ac_delim 13844PERLFLAGS!$PERLFLAGS$ac_delim
14381PERLPRIVLIBEXP!$PERLPRIVLIBEXP$ac_delim 13845PERLPRIVLIBEXP!$PERLPRIVLIBEXP$ac_delim
14382IF_PERL!$IF_PERL$ac_delim 13846IF_PERL!$IF_PERL$ac_delim
14383PERL_O!$PERL_O$ac_delim 13847PERL_O!$PERL_O$ac_delim
14384LIBAFTERIMAGE_CFLAGS!$LIBAFTERIMAGE_CFLAGS$ac_delim 13848AFTERIMAGE_CFLAGS!$AFTERIMAGE_CFLAGS$ac_delim
14385AFTERIMAGE_LIBS!$AFTERIMAGE_LIBS$ac_delim 13849AFTERIMAGE_LIBS!$AFTERIMAGE_LIBS$ac_delim
14386include_stdint_h!$include_stdint_h$ac_delim 13850include_stdint_h!$include_stdint_h$ac_delim
13851include_stdarg_h!$include_stdarg_h$ac_delim
13852include_stdlib_h!$include_stdlib_h$ac_delim
13853include_unistd_h!$include_unistd_h$ac_delim
13854include_string_h!$include_string_h$ac_delim
14387_ACEOF 13855_ACEOF
14388 13856
14389 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then 13857 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
14390 break 13858 break
14391 elif $ac_last_try; then 13859 elif $ac_last_try; then
14423 13891
14424 13892
14425ac_delim='%!_!# ' 13893ac_delim='%!_!# '
14426for ac_last_try in false false false false false :; do 13894for ac_last_try in false false false false false :; do
14427 cat >conf$$subs.sed <<_ACEOF 13895 cat >conf$$subs.sed <<_ACEOF
14428include_stdarg_h!$include_stdarg_h$ac_delim
14429include_stdlib_h!$include_stdlib_h$ac_delim
14430include_unistd_h!$include_unistd_h$ac_delim
14431include_string_h!$include_string_h$ac_delim
14432include_fcntl_h!$include_fcntl_h$ac_delim 13896include_fcntl_h!$include_fcntl_h$ac_delim
14433include_util_h!$include_util_h$ac_delim 13897include_util_h!$include_util_h$ac_delim
14434include_assert_h!$include_assert_h$ac_delim 13898include_assert_h!$include_assert_h$ac_delim
14435include_sys_ioctl_h!$include_sys_ioctl_h$ac_delim 13899include_sys_ioctl_h!$include_sys_ioctl_h$ac_delim
14436include_sys_select_h!$include_sys_select_h$ac_delim 13900include_sys_select_h!$include_sys_select_h$ac_delim
14439include_time_h!$include_time_h$ac_delim 13903include_time_h!$include_time_h$ac_delim
14440LIBOBJS!$LIBOBJS$ac_delim 13904LIBOBJS!$LIBOBJS$ac_delim
14441LTLIBOBJS!$LTLIBOBJS$ac_delim 13905LTLIBOBJS!$LTLIBOBJS$ac_delim
14442_ACEOF 13906_ACEOF
14443 13907
14444 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 14; then 13908 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 10; then
14445 break 13909 break
14446 elif $ac_last_try; then 13910 elif $ac_last_try; then
14447 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5 13911 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
14448echo "$as_me: error: could not make $CONFIG_STATUS" >&2;} 13912echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
14449 { (exit 1); exit 1; }; } 13913 { (exit 1); exit 1; }; }
14878 Install path: ${prefix}/bin 14342 Install path: ${prefix}/bin
14879 Compiler: $CXX 14343 Compiler: $CXX
14880 Compiler flags: $CXXFLAGS 14344 Compiler flags: $CXXFLAGS
14881 Linker: $LINKER" 14345 Linker: $LINKER"
14882 14346
14883if test x$support_xpm = xyes; then
14884 echo " Xpm library: $XPM_LIBS"
14885fi
14886
14887if test x$support_afterimage = xyes; then
14888 echo " AfterImage support: yes"
14889fi
14890
14891if test x$support_afterstep = xyes; then
14892 echo " AfterStep integration: yes"
14893fi
14894
14895if test x$term != x; then 14347if test x$term != x; then
14896 echo " set TERM to: $term" 14348 echo " set TERM to: $term"
14897fi 14349fi
14898if test x$terminfo != x; then 14350if test x$terminfo != x; then
14899 echo " set TERMINFO to: $terminfo" 14351 echo " set TERMINFO to: $terminfo"
14903if test x$RESFALLBACK != x; then 14355if test x$RESFALLBACK != x; then
14904 echo " resource class fallback: $RESFALLBACK" 14356 echo " resource class fallback: $RESFALLBACK"
14905fi 14357fi
14906echo 14358echo
14907echo " embedded perl: $support_perl" 14359echo " embedded perl: $support_perl"
14360echo " libafterimage: $support_afterimage"
14908echo 14361echo
14909if test x$support_xpm = xneedsmanualspecification; then
14910 echo ".----------------------------------------------------------------."
14911 echo ". WARNING: --enable-xpm-background was specified however the ."
14912 echo ". XPM includes files and libraries could not be found. ."
14913 echo ". XPM backgrounds are now being DISABLED! If you want ."
14914 echo ". to use them you should rerun configure with the ."
14915 echo ". appropriate --with-xpm-includes=/path/to/xpm/includes ."
14916 echo ". and --with-xpm-library=/path/to/xpm/library lines. ."
14917 echo ".----------------------------------------------------------------."
14918fi
14919if test x$support_xim = xyes -a x$rxvt_cv_func_xlocale = xno; then 14362if test x$support_xim = xyes -a x$rxvt_cv_func_xlocale = xno; then
14920 echo ".----------------------------------------------------------------." 14363 echo ".----------------------------------------------------------------."
14921 echo ". WARNING: --enable-xim was specified however the locale support ." 14364 echo ". WARNING: --enable-xim was specified however the locale support ."
14922 echo ". functions could not be found. ." 14365 echo ". functions could not be found. ."
14923 echo ". XIM is now being DISABLED! ." 14366 echo ". XIM is now being DISABLED! ."

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines